[
  {
    "url": "tls://127.0.0.1:62813",
    "default_target": {
      "cert_path": "server.pem",
      "key_path": "server.pem",
      "url": "tls://unused",
      "default_target": {
        "cert_path": "server.pem",
        "key_path": "server.pem",
        "url": "ss://chacha20-ietf-poly1305:tumvhUswRhDJ3Eq6fV4n8Z0x1UvlYH9V50JtrKQICOmCH74dFEUUpH2px1mS5O8v@unused"
      }
    }
  },
  {
    "url": "http://127.0.0.1:62888",
    "proxies": [
      {
        "url": "tls://127.0.0.1:62813",
        "target": {
          "sni_hostname": "blah.com",
          "verify": false,
          "url": "tls://unused",
          "target": {
            "sni_hostname": "boo.com",
            "verify": false,
            "url": "ss://chacha20-ietf-poly1305:tumvhUswRhDJ3Eq6fV4n8Z0x1UvlYH9V50JtrKQICOmCH74dFEUUpH2px1mS5O8v@unused"
          }
        }
      }
    ]
  },
  {
    "url": "https://127.0.0.1:63333",
    "cert_path": "server.pem",
    "key_path": "server.pem",
    "proxies": [
      {
        "url": "https://127.0.0.1:63334"
      }
    ]
  }
]
